## Index

### Enumerations

- GradientType

### Classes

- GradientProvider

### Interfaces

- GradientProviderProps
- InjectedProps

### Type aliases

- Omit

### Variables

- GradientColorsContext
- defaultGradientColors

### Functions

- computeGradient
- withGradient

## Type aliases

### Omit

Omit: Omit<T, K>

- Defined in gradient.tsx:28

## Variables

### Const GradientColorsContext

GradientColorsContext: object = createReactContext<string[]>(defaultGradientColors)

- Defined in gradient.tsx:8

#### Type declaration

- ##### Consumer: ComponentClass<ConsumerProps<T>>

- ##### Provider: ComponentClass<ProviderProps<T>>

### Const defaultGradientColors

defaultGradientColors: string[] = ['#85A9C4', '#C5C7C6', '#DFD2C0', '#F1B87C']

- Defined in gradient.tsx:6

## Functions

### computeGradient

- computeGradient(type: GradientType, themeGradientColors: string[]): string

- - Defined in gradient.tsx:47

  computeGradient

  #### Parameters

  - ##### type: GradientType

    type of gradient.

  - ##### themeGradientColors: string[]

    array of gradient colors.

  #### Returns string

  the corresponding linear-gradient CSS value

### Const withGradient

- withGradient(gradientType?: GradientType): (Anonymous function)

- - Defined in gradient.tsx:63

  Add the ThemeGradient ot the wrapped component.

  #### Parameters

  - ##### Optional gradientType: GradientType

    the type of gradient to return

  #### Returns (Anonymous function)

Generated using TypeDoc